خطاهای گمز

با اطمینان ۹۹ درصد تمامی کد نویسان گمز -از مبتدی گرفته تا فوق حرفه ای یا توسعه دهنده-
پس از Run کردن مدل خود، حداقل یک Error را مشاهده خواهند کرد.

خوشبختانه اکثر Error هایی که GAMS به کاربر می دهد با تغییرات بسیار ساده ای در کد نویسی رفع خواهند شد.
در این بخش قصد داریم خطاهای رایج و معمولی که دوستان در بخش های مختلف کامنت گذاشته اند، را به عنوان تاپیک های جداگانه ای مورد بحث قرار دهیم.
با ما همراه باشید

ایمیل: Support@gamsbook.ir
شماره تماس: ۳۳۲۵-۴۰۵—۰۹۱۹

 

این مقاله برای شما مفید بود؟

مطالب مشابه

8 دیدگاه

  1. آزادی

    با سلام و خسته نباشید. ببخشید من یه کد برای یک شبکه برق ساده زدم و میخوام یه تابع عدف رو مینیمم کنم. اما همش این رور رو می بینم: Exec Error at line 63: rPower: FUNC DOMAIN: x**y, x < 0
    اینم تابعی که ارور به اون اشاره می کنه: obf.. NOF=e=a1*sum(i,(top(i))**2)+a2*sum(j,(top(j)-MCT)**2) ;
    و اینکه من تو قسمت توان، هیچ پایه منفی ندارم و متوجه علت ارور نمیشم.. ممنون میشم کمک کنید

  2. جم

    با سلام
    من موقع اجرای کد با خطای زیر مواجه کیشم. ممنون میشم اگه راهنمایی کنین.

    *** License with infinite maintenance not supported.
    *** Contact support@gams.com for details.
    *** System downgraded to demonstration mode
    
    1. محمودی

      سلام
      احتمالا از لایسنس نامناسبی برای نسخه های جدید گمز استفاده می کنین.
      ما تو گمزبوک لایسنس مناسب رو گذاشتیم. از اون استفاده بکنین.

  3. جم

    من از همین لایسنس های موجود در سایت استفاده کردم و تمام مراحل رو هم مطابق مطالب گفته شده رفتم.

    1. محمودی

      شما ایمیل هم زده بودید. توی ارور به وضوح نوشته شده که در این نسخه ای که استفاده می کنید، این لایسنس دیگر قابل استفاده نیست. از لایسنس سوم استفاده کنید. و تاریخ رو به ۲۰۱۴ برگردونید. تاریخ سیستم شما ۲۰۱۹ هست هنوز.

  4. جم

    تاریخ سیستم روی ۲۰۱۴ تنظیم هست. ممکنه بخاطر رویژن نرم افزار باشه؟ آیا لایسنس ها برای آخرین رویژن نرم افزار (۲۸٫۱) هم کارکرد داره چون من ۲۸٫۱ رو نصب کردم.
    خیلی ممنونم

    1. محمودی

      شما لایسنستون ۲۰۰۴ هست. و پیام میگه که این لایسنس تا ۲۰۱۸ قابل استفاده هست. لایسنس سوم گمزبوک رو بگیرین.
      بله ممکنه تو نسخه های جدیدتر حواب نده. من تست نکردم. من خودم از نسخه ۲۴٫۷٫۳ استفاده می کنم و مشکلی بابتش نداشتم تا حالا.

دیدگاهی دارید؟